Bug 244467 - yum fails because the repomd.xml does not exist
Summary: yum fails because the repomd.xml does not exist
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 7
Hardware: x86_64 Linux
low
urgent
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL: http://linuxdownload.adobe.com/linux/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-15 21:22 UTC by Harold Baird
Modified: 2014-01-21 22:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 21:11:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harold Baird 2007-06-15 21:22:28 UTC
Description of problem:
yum fails because the repomd.xml does not exist

Version-Release number of selected component (if applicable):


How reproducible:every time on any update


Steps to Reproduce: 
1.yum groupinstall 'Virtualization'
2.yum install adobe
3.
  
Actual results:
Error: Cannot open/read repomd.xml file for repository: adobe-linux

Expected results:an install of the desired file


Additional info:any yum install goes to the adobe repository and fails

Comment 1 Seth Vidal 2007-06-15 22:08:29 UTC
could you include the /etc/yum/repos.d file that you added from adobe?

Comment 2 Gordon R. Keehn 2007-06-16 13:32:12 UTC
I installed F7 from the DVD image, and receive the same results attempting to
run a normal upgrade.
 
sudo yum upgrade
Password:
Loading "kernel-module" plugin
Loading "fedorakmod" plugin
Loading "installonlyn" plugin
Setting up Upgrade Process
fedora                    100% |=========================| 2.1 kB    00:00
Could not retrieve mirrorlist
http://fedora.redhat.com/download/mirrors/fedora-core-7 error was
[Errno 14] HTTP Error 404: Date: Sat, 16 Jun 2007 13:16:16 GMT
Server: Apache/2.2.3 (Red Hat)
Content-Length: 317
Content-Type: text/html; charset=iso-8859-1

Error: Cannot open/read repomd.xml file for repository: core
[grkeehn@SE7Linux A60Linux]$                                      

Comment 3 Andre Robatino 2007-06-17 01:07:40 UTC
  Adobe now has its own yum repo for installing the flash-plugin.  Here is the
adobe-release RPM, which contains an adobe-linux.repo file and a GPG key:

http://linuxdownload.adobe.com/adobe-release/adobe-release-1.0-0.noarch.rpm

and here are the contents of adobe-linux.repo:

[adobe-linux]
name=Adobe Systems Incorporated
baseurl=http://linuxdownload.adobe.com/linux/$basearch/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux



Comment 4 Jeremy Katz 2007-06-18 21:11:12 UTC
This is Adobe's fault as they're not providing an x86_64 repo, but on x86_64
$basearch expands out to x86_64.

See http://linuxdownload.adobe.com/linux/x86_64/repodata/repomd.xml vs
http://linuxdownload.adobe.com/linux/i386/repodata/repomd.xml


Note You need to log in before you can comment on or make changes to this bug.